#!/system/bin/bash

function print_color() {
  local color=$1
  shift
  echo -e "\033[${color}m$@\033[0m"
}

# 检查用户是否为root用户
if [ $(id -u) != 0 ]; then
    echo "\n请使用root权限执行 !"
    exit 1
fi
setenforce 0
sleep 0.3
 	

sleep 0.2

cp -f libspark.so /data/data/com.tencent.tmgp.codev/
chmod 755 /data/data/com.tencent.tmgp.codev/libspark.so*

cp -f inject /data/data/com.tencent.tmgp.codev/
chmod 777 /data/data/com.tencent.tmgp.codev/inject*

# 检查文件是否存在并且权限为755
if [ -f /data/data/com.tencent.tmgp.codev/libspark.so ] && [ "$(stat -c '%a' /data/data/com.tencent.tmgp.codev/libspark.so)" = "755" ]; then
    echo "[+] 动态库文件正常"
else
    echo "[-] 动态库文件不正确"
    exit 1
fi

if [ -f /data/data/com.tencent.tmgp.codev/inject ] && [ "$(stat -c '%a' /data/data/com.tencent.tmgp.codev/inject)" = "777" ]; then
    echo "[+] 劫持文件正常"
else
    echo "[-] 劫持文件不正确"
    exit 1
fi

echo -e "\n"

echo -e "\n"
am start -n  com.tencent.tmgp.codev/com.epicgames.ue4.SplashActivity

sleep 3



echo -e "\n"

su -c /data/data/com.tencent.tmgp.codev/inject -n com.tencent.tmgp.codevce -so /data/data/com.tencent.tmgp.codev/libspark.so


setenforce 1